Access Restriction Bypass Affecting cprice404:pipeline-classpath Open this link in a new tab package, versions [0,]


0.0
high
  • Attack Complexity

    High

  • Scope

    Changed

  • Confidentiality

    High

  • Integrity

    High

  • Availability

    High

Do your applications use this vulnerable package?

In a few clicks we can analyze your entire application and see what components are vulnerable in your application, and suggest you quick fixes.

Test your applications
  • snyk-id

    SNYK-JAVA-CPRICE404-32443

  • published

    29 Jul 2018

  • disclosed

    27 Jul 2018

  • credit

    Jesse Glick

How to fix?

There is no fixed version for cprice404:pipeline-classpath.

Overview

cprice404:pipeline-classpath is a plugin for Jenkins Pipeline DSL that allows you to add entries to the groovy classpath.

Affected versions of this package are vulnerable to Access Restriction Bypass. It enables a bypass of the Script Security sandbox for users with SCM commit access, and Job/Configure permission permission in Jenkins.